### Method

# AppStream Validator validate_bytes

since: 0.14.0

#### Declaration [src]

    gboolean
    as_validator_validate_bytes (
      AsValidator* validator,
      GBytes* metadata
    )

#### Description [src]

Validate AppStream XML data from a byte array. Remember to run %as_validator_clear_issues if you do not want previous validation runs to affect the outcome of this validation.

Available since: 0.14.0

#### Parameters

`metadata`

  Type: `GBytes`

  XML metadata as `GBytes`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if bytes validated successfully.